module write_edge_m

  implicit none

contains

  subroutine write_edge(cyclone, k1, i1, k2, i2, w)

    use unit_edge_m, only: unit_edge_cyclo, unit_edge_anti

    logical, intent(in):: cyclone
    integer, intent(in):: k1, i1, k2, i2
    real, intent(in):: w

    !--------------------------------------------------------------------

    if (cyclone) then
       write(unit_edge_cyclo, fmt = *) k1, i1, k2, i2, w
    else
       write(unit_edge_anti, fmt = *) k1, i1, k2, i2, w
    end if
    
  end subroutine write_edge

end module write_edge_m
