module shp_tr_open_m

  implicit none

contains

  subroutine shp_tr_open(hshp, shp_tr_dir, rank)

    ! Libraries:
    use shapelib_03, only: shp_open_03

    use derived_types, only: shp_tr
    use read_field_indices_m, only: read_field_indices

    TYPE(shp_tr), intent(out):: hshp
    character(len = *), intent(in):: shp_tr_dir
    integer, intent(in):: rank

    !--------------------------------------------------------------------

    call shp_open_03(hshp%extremum, shp_tr_dir // "/extremum", &
         pszaccess = "rb")
    call shp_open_03(hshp%outermost, shp_tr_dir // "/outermost_contour", &
         pszaccess = "rb")
    call shp_open_03(hshp%max_speed, shp_tr_dir // "/max_speed_contour", &
         pszaccess = "rb")
    call read_field_indices(hshp, rank)

  end subroutine shp_tr_open

end module shp_tr_open_m
